Bug 50685 - not looking in /etc/tripwire for config files
not looking in /etc/tripwire for config files
Product: Red Hat Raw Hide
Classification: Retired
Component: tripwire (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Depends On:
  Show dependency treegraph
Reported: 2001-08-01 23:18 EDT by j. alan eldridge
Modified: 2010-04-22 08:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-10 11:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch against tripwire.spec (436 bytes, patch)
2001-08-06 00:07 EDT, Need Real Name
no flags Details | Diff
patch against $tripwire-srcdir/src/core/platform.h (533 bytes, patch)
2001-08-06 00:09 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description j. alan eldridge 2001-08-01 23:18:19 EDT
Description of Problem:

The file $SRCDIR/src/core/platform.h defines the macro USES_FHS, to 
determine where to look for files. 

The file $SRCDIR/src/core/stdcore.h looks for the macro USE_FHS (not USES) 
to determine where to look for files.

--- tripwire-2.3.1-2/src/core/stdcore.h.or      Sat Feb 24 14:02:12 2001
+++ tripwire-2.3.1-2/src/core/stdcore.h Wed Aug  1 23:05:40 2001
@@ -48,7 +48,7 @@
 //--Where the configuration file is to be found
 #if IS_BSD
 # define CONFIG_FILE_ROOT      "/usr/local/etc/tripwire"
-#elif defined(USE_FHS)
+#elif USES_FHS
 # define CONFIG_FILE_ROOT      "/etc/tripwire"
 # undef CONFIG_FILE_ROOT       // Nowhere, just try current directoy
Comment 1 Need Real Name 2001-08-06 00:05:50 EDT
Just as I was about to make a bug report against the Roswell release, I found
this report. Since I already made patches against the source and the spec file,
I'll attach them here.These are against tripwire-2.3.1-4 from RedHat 7.1.93
Comment 2 Need Real Name 2001-08-06 00:07:09 EDT
Created attachment 26374 [details]
patch against tripwire.spec
Comment 3 Need Real Name 2001-08-06 00:09:22 EDT
Created attachment 26375 [details]
patch against $tripwire-srcdir/src/core/platform.h
Comment 4 j. alan eldridge 2001-08-06 00:13:00 EDT
Since the docs already reference platform.h's use of USES_FHS, seems like the right 
file to patch is stdcore.h to bring it into line.
Comment 5 Nalin Dahyabhai 2001-08-15 20:24:35 EDT
This should be fixed in 2.3.1-5 and later.  Thanks!
Comment 6 David Lawrence 2006-04-10 11:30:12 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.